summaryrefslogtreecommitdiff
path: root/dev-python/plotly/plotly-4.10.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-09 12:26:46 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-09 12:26:46 +0000
commit1965c3674e370d2b162e5235dd415e4a6f6bdab4 (patch)
tree76be5115fb11194a9374ea437e73802c8974968a /dev-python/plotly/plotly-4.10.0.ebuild
parentaa1ec1f5fa82ac013d1997cfd79b1e1ef84a66e7 (diff)
downloadbaldeagleos-repo-1965c3674e370d2b162e5235dd415e4a6f6bdab4.tar.gz
baldeagleos-repo-1965c3674e370d2b162e5235dd415e4a6f6bdab4.tar.xz
baldeagleos-repo-1965c3674e370d2b162e5235dd415e4a6f6bdab4.zip
Updating liguros repo
Diffstat (limited to 'dev-python/plotly/plotly-4.10.0.ebuild')
-rw-r--r--dev-python/plotly/plotly-4.10.0.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/plotly/plotly-4.10.0.ebuild b/dev-python/plotly/plotly-4.10.0.ebuild
new file mode 100644
index 000000000000..9f1d93448f69
--- /dev/null
+++ b/dev-python/plotly/plotly-4.10.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Browser-based graphing library for Python"
+HOMEPAGE="https://plot.ly/python/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/retrying[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ mkdir -p "${ED}"/etc/ || die
+ mv "${ED}"/usr/etc/jupyter "${ED}"/etc/ || die
+ rmdir "${ED}"/usr/etc || die
+}